%global svnrev  r1021

Name:           sayonara
Version:        0.6.2
Release:        4.svn1021%{?dist}
Summary:        A lightweight Qt Audio player

License:        GPLv3+
URL:            http://code.google.com/p/sayonara-player/
# download instructions
# svn co -r1021 http://sayonara-player.googlecode.com/svn/trunk/ sayonara-player-r1021
# tar cfz sayonara-player-r1021.tar.gz sayonara-player-r1021
Source0:        sayonara-player-%{svnrev}.tar.gz
# https://code.google.com/p/sayonara-player/issues/detail?id=106
Source1:        %{name}.appdata.xml

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  qt-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  libnotify-devel
BuildRequires:  curl-devel
BuildRequires:  taglib-devel
Requires:       hicolor-icon-theme

%description
%{name} is a small, clear, not yet platform-independent music player. Low 
CPU usage, low memory consumption and no long loading times are only three 
benefits of this player. Sayonara should be easy and intuitive to use and 
therefore it should be able to compete with the most popular music players.

%prep
%setup -q -n %{name}-player-%{svnrev}
rm -rf .svn

# removed java stuff
rm -rf sayonara_client/src

%build
%cmake
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# install appdata.xml file
mkdir -p %{buildroot}%{_datadir}/appdata
install -Dm 0644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

# remove menu dir, because it's not necessary
rm -rf %{buildroot}/%{_datadir}/menu

find %{buildroot}%{_datadir}/%{name}/translations -name "*.qm" | sed 's:'%{buildroot}'::
s:.*/\([a-zA-Z]\{2\}\).qm:%lang(\1) \0:' > %{name}.lang

#  edit desktop file to Freedesktop specification
sed -i 's/Categories=Audio;Music;Player;AudioVideo;/Categories=GNOME;GTK;AudioVideo;Audio;Player;/' \
       %{buildroot}%{_datadir}/applications/*.desktop

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%license license.txt
%doc MANUAL README.txt
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/*/%{name}.png
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%dir %{_datadir}/%{name}/translations/icons
%{_datadir}/%{name}/translations/icons/*.png
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.css
%{_datadir}/%{name}/empty.db

%changelog
* Tue Feb 17 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.6.2-4.svn1021
- rebuild for new svn release

* Mon Feb 16 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.6.2-3.svn1018
- rebuild for new svn release
- cosmetic changes 
- take ownership of unowned directory %%{_datadir}/%%{name}/translations
- take ownership of unowned directory %%{_datadir}/%%{name}/translations/icons

* Mon Feb 16 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.6.2-2.svn1016
- deleted BR  gstreamer1-devel because its redundant
- deleted RR svn isn't needed
- corrected license tag to GPLv3+
- added RR hicolor-icon-theme
- mark license files as %%license where available
- added appdata.xml file
- modified desktop file Categories
- removed java stuff
- addd BR libappstream-glib

* Fri Feb 13 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.6.2-1.svn1016
- rebuild for new svn release
- cleanup spec file

* Mon Sep 01 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.4.1-1.4.svn878
- enabled debugging informations
- rebuild for new svn release
- set correct file permisson

* Fri Aug 29 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.4.1-1.3.svn870
- rebuild for new svn release
- added more comments

* Tue Jun 10 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.4.0-1.2.svn851
- removed unecessary BR glib2-devel
- removed unecessary BR alsa-lib-devel
- removed unecessary BR libxml2-devel

* Tue Jun 10 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.4.0-1.2.svn851
- rebuild for new svn release
- added svn Requirement
- corrected svn path

* Mon Jun 09 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.4.0-1.1.svn850
- added download instructions
- rebuild for new svn release

* Tue Oct 29 2013 Brendan Jones <brendan.jones.it@gmail.com> - 0.4.0-1.0.svn695
- Inital release.
